#!/usr/bin/perl
#
use strict ;

use App::Framework '::Filter' ;

# VERSION
our $VERSION = '1.000' ;

	# Create application and run it
	App::Framework->new(
#		'outfile' 	=> 1,
#		'outfmt'	=> '$name.text',
#		'outdir'	=> './aeiou',
	)->go() ;

#=================================================================================
# SUBROUTINES EXECUTED BY APP
#=================================================================================

#----------------------------------------------------------------------
# Main execution
#
sub app
{
	my ($app, $opts_href, $state_href, $line, @args) = @_ ;
	
	$app->prt_data("State",$state_href,"Line <$line>", "Args", \@args) if $opts_href->{debug};

	# uppercase
	$state_href->{output} = uc $line ;	
}


#=================================================================================
# LOCAL SUBROUTINES
#=================================================================================

#=================================================================================
# SETUP
#=================================================================================
__DATA__


[SUMMARY]

An example of using the application framework Filter extension


[DESCRIPTION]

B<$name> test out file filtering.

